#define beta
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
 
Summary:   	New Qt APIs - Qt Mobility
Name:      	qt-mobility
Version:   	1.1.1	
Release:   	1
License: 	GNU/LGPLv2.1
URL:		http://www.trolltech.com
Group:     	System/Libraries
Source0:	qt-mobility-opensource-src-%{version}%{?beta:-%{beta}}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: pkgconfig
BuildRequires: qt4-devel
BuildRequires: bluez-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: alsa-lib-devel
BuildRequires: gstreamer10-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: libXrandr-devel
BuildRequires: libXv-devel

%description
These new Qt APIs, not only enable Qt developers to include standard mobile functionality in their applications,
but also provide useful application functionality across desktop platforms.

-    Create dynamic navigation applications with the location API
-    Support standard mobile applications such as messaging, contacts and multimedia
-    Enable network roaming using bearer management
 
%package devel
Summary:       	This package contains development headers and tools for %{name}.
Group:         	System/Libraries
Requires:	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
 
%description devel
%{summary}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel

%postun devel
 
%prep
%setup -q -n qt-mobility-opensource-src-%{version}%{?beta:-%{beta}}

%build
./configure \
  -prefix %{_qt4_prefix} \
  -bindir %{_qt4_bindir} \
  -demosdir %{_qt4_demosdir} \
  -examplesdir %{_qt4_examplesdir} \
  -headerdir %{_qt4_headerdir} \
  -libdir %{_qt4_libdir} \
  -plugindir %{_qt4_plugindir} \
  -release 
#  -examples \
#  -demos 

make %{?_smp_mflags}
#make
 
%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# QtMobility.pc
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat >%{buildroot}%{_libdir}/pkgconfig/QtMobility.pc<<EOF
libdir=%{_libdir}
includedir=%{_includedir}/QtMobility
 
Name: Qtmobility
Description: Qt Mobility
Version: %{version}
EOF

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

rm -rf $RPM_BUILD_ROOT/usr/lib/*.la

%files
%defattr(-,root,root,-)
%{_libdir}/libQtBearer.so.*
%{_libdir}/libQtContacts.so.*
%{_libdir}/libQtFeedback.so.*
%{_libdir}/libQtGallery.so.*
%{_libdir}/libQtLocation.so.*
%{_libdir}/libQtMultimediaKit.so.*
%{_libdir}/libQtOrganizer.so.*
%{_libdir}/libQtPublishSubscribe.so.*
%{_libdir}/libQtSensors.so.*
%{_libdir}/libQtServiceFramework.so.*
%{_libdir}/libQtSystemInfo.so.*
%{_libdir}/libQtVersit.so.*
%{_libdir}/libQtVersitOrganizer.so.*
%{_libdir}/qt4/imports/QtMobility/contacts
%{_libdir}/qt4/imports/QtMobility/feedback
%{_libdir}/qt4/imports/QtMobility/gallery
%{_libdir}/qt4/imports/QtMobility/location
%{_libdir}/qt4/imports/QtMobility/organizer
%{_libdir}/qt4/imports/QtMobility/publishsubscribe
%{_libdir}/qt4/imports/QtMobility/sensors
%{_libdir}/qt4/imports/QtMobility/serviceframework
%{_libdir}/qt4/imports/QtMobility/systeminfo
%{_libdir}/qt4/imports/QtMultimediaKit
%{_libdir}/qt4/plugins/audio/libqtmedia_pulse.so
%{_libdir}/qt4/plugins/contacts/libqtcontacts_serviceactionmanager.so
%{_libdir}/qt4/plugins/feedback/libqtfeedback_mmk.so
%{_libdir}/qt4/plugins/geoservices/libqtgeoservices_nokia.so
%{_libdir}/qt4/plugins/landmarks/libqtlandmarks_sqlite.so
#%{_libdir}/qt4/plugins/mediaservice/libqtmedia_audioengine.so
%{_libdir}/qt4/plugins/mediaservice/libqgstengine.so
%{_libdir}/qt4/plugins/mediaservice/libqtmedia_v4lengine.so
%{_libdir}/qt4/plugins/organizer/libqtorganizer_skeleton.so
%{_libdir}/qt4/plugins/playlistformats/libqtmultimediakit_m3u.so
%{_libdir}/qt4/plugins/sensors/libqtsensors_generic.so
%{_libdir}/qt4/plugins/versit/libqtversit_backuphandler.so
%{_libdir}/qt4/plugins/versit/libqtversit_vcardpreserver.so


%files devel
%defattr(-,root,root,-)
%{_includedir}/QtBearer
%{_includedir}/QtContacts
%{_includedir}/QtFeedback
%{_includedir}/QtGallery
%{_includedir}/QtLocation
%{_includedir}/QtMobility
%{_includedir}/QtMultimediaKit
%{_includedir}/QtOrganizer
%{_includedir}/QtPublishSubscribe
%{_includedir}/QtSensors
%{_includedir}/QtServiceFramework
%{_includedir}/QtSystemInfo
%{_includedir}/QtVersit
%{_includedir}/QtVersitOrganizer
%{_libdir}/qt4/bin/icheck
%{_libdir}/qt4/bin/qcrmlgen
%{_libdir}/qt4/bin/servicedbgen
%{_libdir}/qt4/bin/servicefw
%{_libdir}/qt4/bin/servicexmlgen
%{_libdir}/qt4/bin/vsexplorer
%{_libdir}/qt4/mkspecs/features/mobility.prf
%{_libdir}/qt4/mkspecs/features/mobilityconfig.prf
%{_libdir}/libQtBearer.prl
%{_libdir}/libQtBearer.so
%{_libdir}/libQtContacts.prl
%{_libdir}/libQtContacts.so
%{_libdir}/libQtFeedback.prl
%{_libdir}/libQtFeedback.so
%{_libdir}/libQtGallery.prl
%{_libdir}/libQtGallery.so
%{_libdir}/libQtLocation.prl
%{_libdir}/libQtLocation.so
%{_libdir}/libQtMultimediaKit.prl
%{_libdir}/libQtMultimediaKit.so
%{_libdir}/libQtOrganizer.prl
%{_libdir}/libQtOrganizer.so
%{_libdir}/libQtPublishSubscribe.prl
%{_libdir}/libQtPublishSubscribe.so
%{_libdir}/libQtSensors.prl
%{_libdir}/libQtSensors.so
%{_libdir}/libQtServiceFramework.prl
%{_libdir}/libQtServiceFramework.so
%{_libdir}/libQtSystemInfo.prl
%{_libdir}/libQtSystemInfo.so
%{_libdir}/libQtVersit.prl
%{_libdir}/libQtVersit.so
%{_libdir}/libQtVersitOrganizer.prl
%{_libdir}/libQtVersitOrganizer.so
%{_libdir}/pkgconfig/QtMobility.pc

%clean
rm -rf $RPM_BUILD_ROOT
 
%changelog
* Thu Mar 03 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- initial CCux package release
